import {parse, stringify, v4} from 'uuid';

export default class Uuid extends Buffer {
	static new() {
		const raw = v4()
		const bytes = parse(raw) as Uint8Array
		return Uuid.from(bytes) as Uuid
	}

	toString() {
		return stringify(this)
	}

	static parse(s: string) {
		const bytes = parse(s) as Uint8Array
		return Uuid.from(bytes) as Uuid
	}
}
