import {FastifyPluginAsync} from 'fastify'
import {container} from 'tsyringe'
import RingtoneController from '../../../modules/ringtone/controller'

const ringtones: FastifyPluginAsync = async (fastify): Promise<void> => {
	const ringtoneController = container.resolve<RingtoneController>('RingtoneController')
	fastify.get('/', ringtoneController.browse)
	fastify.get('/:id', ringtoneController.get)
	fastify.post('/', ringtoneController.create)
	fastify.patch('/:id', ringtoneController.update)
	fastify.post('/:id/delete', ringtoneController.softDelete)
	fastify.delete('/:id/delete', ringtoneController.undoDelete)
	fastify.delete('/:id', ringtoneController.hardDelete)
}

export default ringtones
